Funding
Create a ramp widget session for checkout
POST
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
application/json- body
sourceAmount*stringAmount to pay, in sourceCurrencyCode units, as a decimal string (e.g. "50").
sourceCurrencyCode*stringdestinationCurrencyCode*stringserviceProvider*stringwalletAddress*stringredirectUrl?string200
application/json- response
id*stringSession id.
token*stringSession token for the checkout widget.
widgetUrl*stringURL of the checkout widget to open.
serviceProviderWidgetUrl*stringThe provider's own checkout URL.
curl -X POST 'https://api.t.sufwankhalid.com/ramp/session' \ -H 'Content-Type: application/json' \ -d '{ "sourceAmount": "string", "sourceCurrencyCode": "string", "destinationCurrencyCode": "string", "serviceProvider": "string", "walletAddress": "string"}'Example Response
{ "id": "string", "token": "string", "widgetUrl": "string", "serviceProviderWidgetUrl": "string"}